`timescale 1 ns/100 ps
// Version: Designer v5.0 5.0.0.14
// File used only for Simulation


module Top_Level(Mem_data, DATA_IN, RST, CLK1, CLK2, CLK3, CLK4, 
        PLLa_PWRDN, PLLb_PWRDN, PLLc_PWRDN, PLLd_PWRDN, Rd_enable, 
        LOCK_PLLa, LOCK_PLLb, LOCK_PLLc, LOCK_PLLd);
output  [7:0] Mem_data;
input  DATA_IN, RST, CLK1, CLK2, CLK3, CLK4, PLLa_PWRDN, PLLb_PWRDN, 
        PLLc_PWRDN, PLLd_PWRDN;
output  Rd_enable, LOCK_PLLa, LOCK_PLLb, LOCK_PLLc, LOCK_PLLd;

    wire clka, clkb, clkc, clkd, GNDZ0, dataaZ0, databZ0, datacZ0, 
        datadZ0, dataeZ0, datafZ0, datagZ0, datahZ0, dataabcdZ0Z_0, 
        dataabcdZ0Z_1, dataabcdZ0Z_2, dataabcdZ0Z_3, dataefghZ0Z_0, 
        dataefghZ0Z_1, dataefghZ0Z_2, dataefghZ0Z_3, DATA_IN_c, RST_c, 
        Mem_data_c_0, Mem_data_c_1, Mem_data_c_2, Mem_data_c_3, 
        Mem_data_c_4, Mem_data_c_5, Mem_data_c_6, Mem_data_c_7, 
        RST_c_0, RST_c_1, \RST_pad/U0/NET1 , \RST_pad/U0/NET2 , 
        \LOCK_PLLc_pad/U0/NET1 , \LOCK_PLLc_pad/U0/NET2 , 
        \LOCK_PLLc_pad/U0/NET3 , \PLLd_PWRDN_pad/U0/NET1 , 
        \PLLd_PWRDN_pad/U0/NET2 , \Mem_data_pad_6/U0/NET1 , 
        \Mem_data_pad_6/U0/NET2 , \Mem_data_pad_6/U0/NET3 , 
        \Mem_data_pad_2/U0/NET1 , \Mem_data_pad_2/U0/NET2 , 
        \Mem_data_pad_2/U0/NET3 , \Mem_data_pad_1/U0/NET1 , 
        \Mem_data_pad_1/U0/NET2 , \Mem_data_pad_1/U0/NET3 , 
        \LOCK_PLLa_pad/U0/NET1 , \LOCK_PLLa_pad/U0/NET2 , 
        \LOCK_PLLa_pad/U0/NET3 , \PLLb_PWRDN_pad/U0/NET1 , 
        \PLLb_PWRDN_pad/U0/NET2 , \Mem_data_pad_0/U0/NET1 , 
        \Mem_data_pad_0/U0/NET2 , \Mem_data_pad_0/U0/NET3 , 
        \DATA_IN_pad/U0/NET1 , \DATA_IN_pad/U0/NET2 , 
        \Mem_data_pad_5/U0/NET1 , \Mem_data_pad_5/U0/NET2 , 
        \Mem_data_pad_5/U0/NET3 , \Mem_data_pad_4/U0/NET1 , 
        \Mem_data_pad_4/U0/NET2 , \Mem_data_pad_4/U0/NET3 , 
        \Mem_data_pad_3/U0/NET1 , \Mem_data_pad_3/U0/NET2 , 
        \Mem_data_pad_3/U0/NET3 , \PLLc_PWRDN_pad/U0/NET1 , 
        \PLLc_PWRDN_pad/U0/NET2 , \PLLa_PWRDN_pad/U0/NET1 , 
        \PLLa_PWRDN_pad/U0/NET2 , \LOCK_PLLd_pad/U0/NET1 , 
        \LOCK_PLLd_pad/U0/NET2 , \LOCK_PLLd_pad/U0/NET3 , 
        \Rd_enable_pad/U0/NET1 , \Rd_enable_pad/U0/NET2 , 
        \Rd_enable_pad/U0/NET3 , \LOCK_PLLb_pad/U0/NET1 , 
        \LOCK_PLLb_pad/U0/NET2 , \LOCK_PLLb_pad/U0/NET3 , 
        \Mem_data_pad_7/U0/NET1 , \Mem_data_pad_7/U0/NET2 , 
        \Mem_data_pad_7/U0/NET3 , VCC, GND, PLLa_PWRDN_c, 
        \CK1/U0/NET1 , \PLL1/VCCZ0 , \PLL1/GNDZ0 , LOCK_PLLa_c, 
        \PLL1/PLL1_clk1p , PLL_FLOAT_NET4, PLLd_PWRDN_c, \CK4/U0/NET1 , 
        \PLL4/GNDZ0 , \PLL4/VCCZ0 , LOCK_PLLd_c, \PLL4/PLL4_clk1p , 
        PLL_FLOAT_NET3, PLLc_PWRDN_c, \CK3/U0/NET1 , \PLL3/VCCZ0 , 
        \PLL3/GNDZ0 , LOCK_PLLc_c, \PLL3/PLL3_clk1p , PLL_FLOAT_NET1, 
        PLLb_PWRDN_c, \CK2/U0/NET1 , \PLL2/GNDZ0 , \PLL2/VCCZ0 , 
        LOCK_PLLb_c, \PLL2/PLL2_clk1p , PLL_FLOAT_NET2;
    wire GND_power_net1;
    wire VCC_power_net1;
    assign \PLL2/GNDZ0  = GND_power_net1;
    assign \PLL3/GNDZ0  = GND_power_net1;
    assign GND = GND_power_net1;
    assign GNDZ0 = GND_power_net1;
    assign \PLL4/GNDZ0  = GND_power_net1;
    assign \PLL1/GNDZ0  = GND_power_net1;
    assign VCC = VCC_power_net1;
    assign \PLL1/VCCZ0  = VCC_power_net1;
    assign \PLL2/VCCZ0  = VCC_power_net1;
    assign \PLL3/VCCZ0  = VCC_power_net1;
    assign \PLL4/VCCZ0  = VCC_power_net1;
    
    IOPAD_IN \RST_pad/U0/U0  (.PAD(RST), .Y(\RST_pad/U0/NET1 ));
    PLL \PLL1/PLL_INT  (.PWRDWN(PLLa_PWRDN_c), .REFCLK(\CK1/U0/NET1 ), 
        .LOWFREQ(\PLL1/GNDZ0 ), .OSC2(\PLL1/GNDZ0 ), .OSC1(
        \PLL1/GNDZ0 ), .OSC0(\PLL1/GNDZ0 ), .DIVI5(\PLL1/GNDZ0 ), 
        .DIVI4(\PLL1/GNDZ0 ), .DIVI3(\PLL1/GNDZ0 ), .DIVI2(
        \PLL1/VCCZ0 ), .DIVI1(\PLL1/GNDZ0 ), .DIVI0(\PLL1/GNDZ0 ), 
        .DIVJ5(\PLL1/GNDZ0 ), .DIVJ4(\PLL1/GNDZ0 ), .DIVJ3(
        \PLL1/GNDZ0 ), .DIVJ2(\PLL1/GNDZ0 ), .DIVJ1(\PLL1/GNDZ0 ), 
        .DIVJ0(\PLL1/GNDZ0 ), .DELAYLINE4(\PLL1/GNDZ0 ), .DELAYLINE3(
        \PLL1/GNDZ0 ), .DELAYLINE2(\PLL1/GNDZ0 ), .DELAYLINE1(
        \PLL1/GNDZ0 ), .DELAYLINE0(\PLL1/GNDZ0 ), .LOCK(LOCK_PLLa_c), 
        .CLK1(\PLL1/PLL1_clk1p ), .CLK2(PLL_FLOAT_NET4));
    IOFIFO_OUTBUF \LOCK_PLLd_pad/U0/U1  (.A(\LOCK_PLLd_pad/U0/NET3 ), 
        .Y(\LOCK_PLLd_pad/U0/NET1 ));
    IOPAD_TRI \Mem_data_pad_6/U0/U0  (.D(\Mem_data_pad_6/U0/NET1 ), .E(
        \Mem_data_pad_6/U0/NET2 ), .PAD(Mem_data[6]));
    IOOE_BUFF \Mem_data_pad_3/U0/U3  (.A(Mem_data_c_3), .Y(
        \Mem_data_pad_3/U0/NET3 ));
    IOOE_BUFF \Mem_data_pad_1/U0/U4  (.A(VCC), .Y(
        \Mem_data_pad_1/U0/NET2 ));
    IOOE_BUFF \Mem_data_pad_0/U0/U4  (.A(VCC), .Y(
        \Mem_data_pad_0/U0/NET2 ));
    RCLKMUX \PLL4/PLLRCLK1/U0  (.A(\PLL4/PLL4_clk1p ), .Y(clkd));
    IOOE_BUFF \Mem_data_pad_4/U0/U3  (.A(Mem_data_c_4), .Y(
        \Mem_data_pad_4/U0/NET3 ));
    IOOE_BUFF \Mem_data_pad_6/U0/U3  (.A(Mem_data_c_6), .Y(
        \Mem_data_pad_6/U0/NET3 ));
    IOFIFO_OUTBUF \Mem_data_pad_5/U0/U1  (.A(\Mem_data_pad_5/U0/NET3 ), 
        .Y(\Mem_data_pad_5/U0/NET1 ));
    IOFIFO_OUTBUF \Mem_data_pad_1/U0/U1  (.A(\Mem_data_pad_1/U0/NET3 ), 
        .Y(\Mem_data_pad_1/U0/NET1 ));
    DFEG \dataabcd_0/U0  (.D(datadZ0), .CLK(clka), .CLR(RST_c_1), .PRE(
        VCC), .E(GND), .Q(dataabcdZ0Z_0));
    IOPAD_IN \PLLa_PWRDN_pad/U0/U0  (.PAD(PLLa_PWRDN), .Y(
        \PLLa_PWRDN_pad/U0/NET1 ));
    IOOE_BUFF \LOCK_PLLa_pad/U0/U3  (.A(LOCK_PLLa_c), .Y(
        \LOCK_PLLa_pad/U0/NET3 ));
    PLL \PLL4/PLL_INT  (.PWRDWN(PLLd_PWRDN_c), .REFCLK(\CK4/U0/NET1 ), 
        .LOWFREQ(\PLL4/GNDZ0 ), .OSC2(\PLL4/GNDZ0 ), .OSC1(
        \PLL4/GNDZ0 ), .OSC0(\PLL4/GNDZ0 ), .DIVI5(\PLL4/GNDZ0 ), 
        .DIVI4(\PLL4/GNDZ0 ), .DIVI3(\PLL4/GNDZ0 ), .DIVI2(
        \PLL4/VCCZ0 ), .DIVI1(\PLL4/GNDZ0 ), .DIVI0(\PLL4/GNDZ0 ), 
        .DIVJ5(\PLL4/GNDZ0 ), .DIVJ4(\PLL4/GNDZ0 ), .DIVJ3(
        \PLL4/GNDZ0 ), .DIVJ2(\PLL4/GNDZ0 ), .DIVJ1(\PLL4/GNDZ0 ), 
        .DIVJ0(\PLL4/GNDZ0 ), .DELAYLINE4(\PLL4/GNDZ0 ), .DELAYLINE3(
        \PLL4/GNDZ0 ), .DELAYLINE2(\PLL4/GNDZ0 ), .DELAYLINE1(
        \PLL4/VCCZ0 ), .DELAYLINE0(\PLL4/VCCZ0 ), .LOCK(LOCK_PLLd_c), 
        .CLK1(\PLL4/PLL4_clk1p ), .CLK2(PLL_FLOAT_NET3));
    IOOE_BUFF \Mem_data_pad_2/U0/U3  (.A(Mem_data_c_2), .Y(
        \Mem_data_pad_2/U0/NET3 ));
    IOI_BUFF \PLLc_PWRDN_pad/U0/U2  (.A(\PLLc_PWRDN_pad/U0/NET2 ), .Y(
        PLLc_PWRDN_c));
    IOOE_BUFF \Rd_enable_pad/U0/U4  (.A(VCC), .Y(
        \Rd_enable_pad/U0/NET2 ));
    IOOE_BUFF \LOCK_PLLd_pad/U0/U4  (.A(VCC), .Y(
        \LOCK_PLLd_pad/U0/NET2 ));
    DFEH \dataefgh_3/U0  (.D(dataeZ0), .CLK(clka), .CLR(RST_c), .PRE(
        VCC), .E(GND), .Q(dataefghZ0Z_3));
    RCLKMUX \PLL3/PLLRCLK1/U0  (.A(\PLL3/PLL3_clk1p ), .Y(clkc));
    IOPAD_TRI \Mem_data_pad_7/U0/U0  (.D(\Mem_data_pad_7/U0/NET1 ), .E(
        \Mem_data_pad_7/U0/NET2 ), .PAD(Mem_data[7]));
    IOOE_BUFF \Mem_data_pad_7/U0/U4  (.A(VCC), .Y(
        \Mem_data_pad_7/U0/NET2 ));
    IOI_BUFF \PLLd_PWRDN_pad/U0/U2  (.A(\PLLd_PWRDN_pad/U0/NET2 ), .Y(
        PLLd_PWRDN_c));
    IOFIFO_INBUF \RST_pad/U0/U1  (.A(\RST_pad/U0/NET1 ), .Y(
        \RST_pad/U0/NET2 ));
    IOOE_BUFF \Mem_data_pad_0/U0/U3  (.A(Mem_data_c_0), .Y(
        \Mem_data_pad_0/U0/NET3 ));
    IOOE_BUFF \Mem_data_pad_7/U0/U3  (.A(Mem_data_c_7), .Y(
        \Mem_data_pad_7/U0/NET3 ));
    DFEG \Mem_dataZ0Z_4/U0  (.D(dataabcdZ0Z_0), .CLK(clka), .CLR(
        RST_c_0), .PRE(VCC), .E(GND), .Q(Mem_data_c_4));
    IOFIFO_INBUF \DATA_IN_pad/U0/U1  (.A(\DATA_IN_pad/U0/NET1 ), .Y(
        \DATA_IN_pad/U0/NET2 ));
    DFEH \dataefgh_0/U0  (.D(datahZ0), .CLK(clka), .CLR(RST_c), .PRE(
        VCC), .E(GND), .Q(dataefghZ0Z_0));
    DFEH \datae/U0  (.D(DATA_IN_c), .CLK(clka), .CLR(RST_c), .PRE(VCC), 
        .E(GND), .Q(dataeZ0));
    IOOE_BUFF \Mem_data_pad_3/U0/U4  (.A(VCC), .Y(
        \Mem_data_pad_3/U0/NET2 ));
    IOOE_BUFF \LOCK_PLLb_pad/U0/U4  (.A(VCC), .Y(
        \LOCK_PLLb_pad/U0/NET2 ));
    IOFIFO_OUTBUF \LOCK_PLLc_pad/U0/U1  (.A(\LOCK_PLLc_pad/U0/NET3 ), 
        .Y(\LOCK_PLLc_pad/U0/NET1 ));
    DFEG \datab/U0  (.D(DATA_IN_c), .CLK(clkb), .CLR(RST_c_1), .PRE(
        VCC), .E(GND), .Q(databZ0));
    IOI_BUFF \PLLa_PWRDN_pad/U0/U2  (.A(\PLLa_PWRDN_pad/U0/NET2 ), .Y(
        PLLa_PWRDN_c));
    IOFIFO_INBUF \PLLd_PWRDN_pad/U0/U1  (.A(\PLLd_PWRDN_pad/U0/NET1 ), 
        .Y(\PLLd_PWRDN_pad/U0/NET2 ));
    DFEH \dataefgh_2/U0  (.D(datafZ0), .CLK(clka), .CLR(RST_c), .PRE(
        VCC), .E(GND), .Q(dataefghZ0Z_2));
    DFEG \Mem_dataZ0Z_0/U0  (.D(dataefghZ0Z_0), .CLK(clka), .CLR(
        RST_c_0), .PRE(VCC), .E(GND), .Q(Mem_data_c_0));
    IOPAD_TRI \Mem_data_pad_5/U0/U0  (.D(\Mem_data_pad_5/U0/NET1 ), .E(
        \Mem_data_pad_5/U0/NET2 ), .PAD(Mem_data[5]));
    BUFF RST_pad_0 (.A(RST_c), .Y(RST_c_0));
    DFEG \dataabcd_1/U0  (.D(datacZ0), .CLK(clka), .CLR(RST_c_1), .PRE(
        VCC), .E(GND), .Q(dataabcdZ0Z_1));
    IOFIFO_INBUF \PLLb_PWRDN_pad/U0/U1  (.A(\PLLb_PWRDN_pad/U0/NET1 ), 
        .Y(\PLLb_PWRDN_pad/U0/NET2 ));
    IOPAD_TRI \Mem_data_pad_4/U0/U0  (.D(\Mem_data_pad_4/U0/NET1 ), .E(
        \Mem_data_pad_4/U0/NET2 ), .PAD(Mem_data[4]));
    IOOE_BUFF \LOCK_PLLb_pad/U0/U3  (.A(LOCK_PLLb_c), .Y(
        \LOCK_PLLb_pad/U0/NET3 ));
    IOPAD_TRI \LOCK_PLLd_pad/U0/U0  (.D(\LOCK_PLLd_pad/U0/NET1 ), .E(
        \LOCK_PLLd_pad/U0/NET2 ), .PAD(LOCK_PLLd));
    IOFIFO_OUTBUF \LOCK_PLLa_pad/U0/U1  (.A(\LOCK_PLLa_pad/U0/NET3 ), 
        .Y(\LOCK_PLLa_pad/U0/NET1 ));
    IOI_BUFF \DATA_IN_pad/U0/U2  (.A(\DATA_IN_pad/U0/NET2 ), .Y(
        DATA_IN_c));
    DFEH \dataf/U0  (.D(DATA_IN_c), .CLK(clkb), .CLR(RST_c), .PRE(VCC), 
        .E(GND), .Q(datafZ0));
    DFEH \datah/U0  (.D(DATA_IN_c), .CLK(clkd), .CLR(RST_c), .PRE(VCC), 
        .E(GND), .Q(datahZ0));
    DFEG \dataa/U0  (.D(DATA_IN_c), .CLK(clka), .CLR(RST_c_1), .PRE(
        VCC), .E(GND), .Q(dataaZ0));
    IOFIFO_INBUF \PLLc_PWRDN_pad/U0/U1  (.A(\PLLc_PWRDN_pad/U0/NET1 ), 
        .Y(\PLLc_PWRDN_pad/U0/NET2 ));
    IOOE_BUFF \LOCK_PLLc_pad/U0/U3  (.A(LOCK_PLLc_c), .Y(
        \LOCK_PLLc_pad/U0/NET3 ));
    IOFIFO_INBUF \PLLa_PWRDN_pad/U0/U1  (.A(\PLLa_PWRDN_pad/U0/NET1 ), 
        .Y(\PLLa_PWRDN_pad/U0/NET2 ));
    IOFIFO_OUTBUF \Mem_data_pad_3/U0/U1  (.A(\Mem_data_pad_3/U0/NET3 ), 
        .Y(\Mem_data_pad_3/U0/NET1 ));
    IOOE_BUFF \LOCK_PLLa_pad/U0/U4  (.A(VCC), .Y(
        \LOCK_PLLa_pad/U0/NET2 ));
    IOPAD_IN \CK2/U0/U0  (.PAD(CLK2), .Y(\CK2/U0/NET1 ));
    IOOE_BUFF \Mem_data_pad_6/U0/U4  (.A(VCC), .Y(
        \Mem_data_pad_6/U0/NET2 ));
    IOPAD_TRI \Mem_data_pad_2/U0/U0  (.D(\Mem_data_pad_2/U0/NET1 ), .E(
        \Mem_data_pad_2/U0/NET2 ), .PAD(Mem_data[2]));
    IOOE_BUFF \LOCK_PLLd_pad/U0/U3  (.A(LOCK_PLLd_c), .Y(
        \LOCK_PLLd_pad/U0/NET3 ));
    IOFIFO_OUTBUF \Mem_data_pad_0/U0/U1  (.A(\Mem_data_pad_0/U0/NET3 ), 
        .Y(\Mem_data_pad_0/U0/NET1 ));
    DFEH \dataefgh_1/U0  (.D(datagZ0), .CLK(clka), .CLR(RST_c), .PRE(
        VCC), .E(GND), .Q(dataefghZ0Z_1));
    DFEG \dataabcd_2/U0  (.D(databZ0), .CLK(clka), .CLR(RST_c_1), .PRE(
        VCC), .E(GND), .Q(dataabcdZ0Z_2));
    DFEG \datad/U0  (.D(DATA_IN_c), .CLK(clkd), .CLR(RST_c_1), .PRE(
        VCC), .E(GND), .Q(datadZ0));
    BUFF RST_pad_1 (.A(RST_c), .Y(RST_c_1));
    IOFIFO_OUTBUF \Mem_data_pad_4/U0/U1  (.A(\Mem_data_pad_4/U0/NET3 ), 
        .Y(\Mem_data_pad_4/U0/NET1 ));
    IOPAD_TRI \LOCK_PLLc_pad/U0/U0  (.D(\LOCK_PLLc_pad/U0/NET1 ), .E(
        \LOCK_PLLc_pad/U0/NET2 ), .PAD(LOCK_PLLc));
    IOPAD_IN \DATA_IN_pad/U0/U0  (.PAD(DATA_IN), .Y(
        \DATA_IN_pad/U0/NET1 ));
    PLL \PLL3/PLL_INT  (.PWRDWN(PLLc_PWRDN_c), .REFCLK(\CK3/U0/NET1 ), 
        .LOWFREQ(\PLL3/GNDZ0 ), .OSC2(\PLL3/GNDZ0 ), .OSC1(
        \PLL3/GNDZ0 ), .OSC0(\PLL3/GNDZ0 ), .DIVI5(\PLL3/GNDZ0 ), 
        .DIVI4(\PLL3/GNDZ0 ), .DIVI3(\PLL3/GNDZ0 ), .DIVI2(
        \PLL3/VCCZ0 ), .DIVI1(\PLL3/GNDZ0 ), .DIVI0(\PLL3/GNDZ0 ), 
        .DIVJ5(\PLL3/GNDZ0 ), .DIVJ4(\PLL3/GNDZ0 ), .DIVJ3(
        \PLL3/GNDZ0 ), .DIVJ2(\PLL3/GNDZ0 ), .DIVJ1(\PLL3/GNDZ0 ), 
        .DIVJ0(\PLL3/GNDZ0 ), .DELAYLINE4(\PLL3/GNDZ0 ), .DELAYLINE3(
        \PLL3/GNDZ0 ), .DELAYLINE2(\PLL3/GNDZ0 ), .DELAYLINE1(
        \PLL3/VCCZ0 ), .DELAYLINE0(\PLL3/GNDZ0 ), .LOCK(LOCK_PLLc_c), 
        .CLK1(\PLL3/PLL3_clk1p ), .CLK2(PLL_FLOAT_NET1));
    IOFIFO_OUTBUF \Rd_enable_pad/U0/U1  (.A(\Rd_enable_pad/U0/NET3 ), 
        .Y(\Rd_enable_pad/U0/NET1 ));
    IOOE_BUFF \Mem_data_pad_5/U0/U4  (.A(VCC), .Y(
        \Mem_data_pad_5/U0/NET2 ));
    DFEG \Mem_dataZ0Z_2/U0  (.D(dataefghZ0Z_2), .CLK(clka), .CLR(
        RST_c_0), .PRE(VCC), .E(GND), .Q(Mem_data_c_2));
    DFEG \Mem_dataZ0Z_1/U0  (.D(dataefghZ0Z_1), .CLK(clka), .CLR(
        RST_c_0), .PRE(VCC), .E(GND), .Q(Mem_data_c_1));
    IOPAD_TRI \Mem_data_pad_0/U0/U0  (.D(\Mem_data_pad_0/U0/NET1 ), .E(
        \Mem_data_pad_0/U0/NET2 ), .PAD(Mem_data[0]));
    IOPAD_TRI \Mem_data_pad_3/U0/U0  (.D(\Mem_data_pad_3/U0/NET1 ), .E(
        \Mem_data_pad_3/U0/NET2 ), .PAD(Mem_data[3]));
    DFEH \datag/U0  (.D(DATA_IN_c), .CLK(clkc), .CLR(RST_c), .PRE(VCC), 
        .E(GND), .Q(datagZ0));
    IOPAD_TRI \Rd_enable_pad/U0/U0  (.D(\Rd_enable_pad/U0/NET1 ), .E(
        \Rd_enable_pad/U0/NET2 ), .PAD(Rd_enable));
    IOOE_BUFF \Mem_data_pad_1/U0/U3  (.A(Mem_data_c_1), .Y(
        \Mem_data_pad_1/U0/NET3 ));
    IOFIFO_OUTBUF \Mem_data_pad_2/U0/U1  (.A(\Mem_data_pad_2/U0/NET3 ), 
        .Y(\Mem_data_pad_2/U0/NET1 ));
    DFEG \Mem_dataZ0Z_3/U0  (.D(dataefghZ0Z_3), .CLK(clka), .CLR(
        RST_c_0), .PRE(VCC), .E(GND), .Q(Mem_data_c_3));
    IOFIFO_OUTBUF \Mem_data_pad_6/U0/U1  (.A(\Mem_data_pad_6/U0/NET3 ), 
        .Y(\Mem_data_pad_6/U0/NET1 ));
    IOPAD_IN \CK1/U0/U0  (.PAD(CLK1), .Y(\CK1/U0/NET1 ));
    IOOE_BUFF \Mem_data_pad_5/U0/U3  (.A(Mem_data_c_5), .Y(
        \Mem_data_pad_5/U0/NET3 ));
    DFEG \Mem_dataZ0Z_5/U0  (.D(dataabcdZ0Z_1), .CLK(clka), .CLR(
        RST_c_0), .PRE(VCC), .E(GND), .Q(Mem_data_c_5));
    IOI_BUFF \RST_pad/U0/U2  (.A(\RST_pad/U0/NET2 ), .Y(RST_c));
    IOPAD_TRI \Mem_data_pad_1/U0/U0  (.D(\Mem_data_pad_1/U0/NET1 ), .E(
        \Mem_data_pad_1/U0/NET2 ), .PAD(Mem_data[1]));
    DFEG \datac/U0  (.D(DATA_IN_c), .CLK(clkc), .CLR(RST_c_1), .PRE(
        VCC), .E(GND), .Q(datacZ0));
    IOPAD_IN \CK4/U0/U0  (.PAD(CLK4), .Y(\CK4/U0/NET1 ));
    DFEG \Mem_dataZ0Z_6/U0  (.D(dataabcdZ0Z_2), .CLK(clka), .CLR(
        RST_c_0), .PRE(VCC), .E(GND), .Q(Mem_data_c_6));
    RCLKMUX \PLL1/PLLRCLK1/U0  (.A(\PLL1/PLL1_clk1p ), .Y(clka));
    DFEG \Mem_dataZ0Z_7/U0  (.D(dataabcdZ0Z_3), .CLK(clka), .CLR(
        RST_c_0), .PRE(VCC), .E(GND), .Q(Mem_data_c_7));
    IOOE_BUFF \Rd_enable_pad/U0/U3  (.A(GNDZ0), .Y(
        \Rd_enable_pad/U0/NET3 ));
    IOFIFO_OUTBUF \Mem_data_pad_7/U0/U1  (.A(\Mem_data_pad_7/U0/NET3 ), 
        .Y(\Mem_data_pad_7/U0/NET1 ));
    IOPAD_TRI \LOCK_PLLa_pad/U0/U0  (.D(\LOCK_PLLa_pad/U0/NET1 ), .E(
        \LOCK_PLLa_pad/U0/NET2 ), .PAD(LOCK_PLLa));
    IOI_BUFF \PLLb_PWRDN_pad/U0/U2  (.A(\PLLb_PWRDN_pad/U0/NET2 ), .Y(
        PLLb_PWRDN_c));
    IOOE_BUFF \LOCK_PLLc_pad/U0/U4  (.A(VCC), .Y(
        \LOCK_PLLc_pad/U0/NET2 ));
    IOPAD_IN \PLLd_PWRDN_pad/U0/U0  (.PAD(PLLd_PWRDN), .Y(
        \PLLd_PWRDN_pad/U0/NET1 ));
    IOPAD_IN \PLLc_PWRDN_pad/U0/U0  (.PAD(PLLc_PWRDN), .Y(
        \PLLc_PWRDN_pad/U0/NET1 ));
    IOPAD_IN \PLLb_PWRDN_pad/U0/U0  (.PAD(PLLb_PWRDN), .Y(
        \PLLb_PWRDN_pad/U0/NET1 ));
    PLL \PLL2/PLL_INT  (.PWRDWN(PLLb_PWRDN_c), .REFCLK(\CK2/U0/NET1 ), 
        .LOWFREQ(\PLL2/GNDZ0 ), .OSC2(\PLL2/GNDZ0 ), .OSC1(
        \PLL2/GNDZ0 ), .OSC0(\PLL2/GNDZ0 ), .DIVI5(\PLL2/GNDZ0 ), 
        .DIVI4(\PLL2/GNDZ0 ), .DIVI3(\PLL2/GNDZ0 ), .DIVI2(
        \PLL2/VCCZ0 ), .DIVI1(\PLL2/GNDZ0 ), .DIVI0(\PLL2/GNDZ0 ), 
        .DIVJ5(\PLL2/GNDZ0 ), .DIVJ4(\PLL2/GNDZ0 ), .DIVJ3(
        \PLL2/GNDZ0 ), .DIVJ2(\PLL2/GNDZ0 ), .DIVJ1(\PLL2/GNDZ0 ), 
        .DIVJ0(\PLL2/GNDZ0 ), .DELAYLINE4(\PLL2/GNDZ0 ), .DELAYLINE3(
        \PLL2/GNDZ0 ), .DELAYLINE2(\PLL2/GNDZ0 ), .DELAYLINE1(
        \PLL2/GNDZ0 ), .DELAYLINE0(\PLL2/VCCZ0 ), .LOCK(LOCK_PLLb_c), 
        .CLK1(\PLL2/PLL2_clk1p ), .CLK2(PLL_FLOAT_NET2));
    IOFIFO_OUTBUF \LOCK_PLLb_pad/U0/U1  (.A(\LOCK_PLLb_pad/U0/NET3 ), 
        .Y(\LOCK_PLLb_pad/U0/NET1 ));
    IOPAD_IN \CK3/U0/U0  (.PAD(CLK3), .Y(\CK3/U0/NET1 ));
    IOOE_BUFF \Mem_data_pad_2/U0/U4  (.A(VCC), .Y(
        \Mem_data_pad_2/U0/NET2 ));
    RCLKMUX \PLL2/PLLRCLK1/U0  (.A(\PLL2/PLL2_clk1p ), .Y(clkb));
    IOPAD_TRI \LOCK_PLLb_pad/U0/U0  (.D(\LOCK_PLLb_pad/U0/NET1 ), .E(
        \LOCK_PLLb_pad/U0/NET2 ), .PAD(LOCK_PLLb));
    DFEG \dataabcd_3/U0  (.D(dataaZ0), .CLK(clka), .CLR(RST_c_1), .PRE(
        VCC), .E(GND), .Q(dataabcdZ0Z_3));
    IOOE_BUFF \Mem_data_pad_4/U0/U4  (.A(VCC), .Y(
        \Mem_data_pad_4/U0/NET2 ));
    GND GND_power_inst1 (.Y(GND_power_net1));
    VCC VCC_power_inst1 (.Y(VCC_power_net1));
    
endmodule
